.TH PIPETYPE 1
.SH NAME
pipetype \- turn piped text in simulated keyboard input for an interactive command
.SH SYNOPSIS
.B pipetype
command [args]
.SH DESCRIPTION
.I Pipetype
invokes the specified (typically interactive) command and inputs
the text stream coming from standard input as simulated
keyboard input for that command.  All input from the regular
keyboard is honored and may be intermixed with the piped input stream.
.sp
This command may be used to simply supply an initialization sequence
of commands to an interactive program, or may be coupled to, say, a
full-screen or window-based program which prints user-selected
strings to its standard output,
.SH DIAGNOSTICS
.I Pipetype
prints a usage description if arguments are missing and error
messages if standard input is not redirected or the supplied
command cannot be invoked.
.SH "SEE ALSO"
cat(1), ioctl(2), tty(4)
.SH AUTHOR
Stewart A. Levin
.SH BUGS
The user should try to avoid intermingling of `type-ahead' characters
with the noninteractive input.
.sp
Several interactive commands, e.g. `vi' and `kermit',
already make provision for user initialization
files invoked automatically when the command begins.
.sp
Does not work with the `login' and `rlogin' commands
for reasons you don't want to know.  Also works poorly
for related reasons when running under script(1).
